package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构信息表
 * 对应数据库表(tenant_info):
 */
@ApiModel(value="TenantInfo机构表")
public class TenantInfo implements Serializable {
    /**
     * 机构id
     */
    @ApiModelProperty(value="机构id")
    private Integer id;

    /**
     * 机构名称
     */
    @ApiModelProperty(value="机构名称")
    private String name;

    /**
     * 机构联系人
     */
    @ApiModelProperty(value="机构联系人")
    private String contacts;

    /**
     * 机构联系人电话
     */
    @ApiModelProperty(value="机构联系人电话")
    private String phone;

    /**
     * 地址
     */
    @ApiModelProperty(value="地址")
    private String address;

    /**
     * 机构邮箱
     */
    @ApiModelProperty(value="机构邮箱")
    private String email;

    /**
     * 机构logo
     */
    @ApiModelProperty(value="机构logo")
    private String logo;

    /**
     * 客服电话
     */
    @ApiModelProperty(value="客服电话")
    private String customerServicePhone;

    /**
     * 域名
     */
    @ApiModelProperty(value="域名")
    private String domainName;

    /**
     * 数据源
     */
    @ApiModelProperty(value="数据源")
    private String dataSource;

    /**
     * 缴费状态 0未缴费  1已缴费
     */
    @ApiModelProperty(value="缴费状态 0未缴费  1已缴费")
    private Integer payState;

    /**
     * 状态0 草稿 1启动 2停用
     */
    @ApiModelProperty(value="状态0 草稿 1启动 2停用")
    private Integer state;

    /**
     * 创建人
     */
    @ApiModelProperty(value="创建人")
    private Integer createdBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private Date createdTime;

    /**
     * 更新人
     */
    @ApiModelProperty(value="更新人")
    private Integer updatedBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value="更新时间")
    private Date updatedTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getCustomerServicePhone() {
        return customerServicePhone;
    }

    public void setCustomerServicePhone(String customerServicePhone) {
        this.customerServicePhone = customerServicePhone;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public Integer getPayState() {
        return payState;
    }

    public void setPayState(Integer payState) {
        this.payState = payState;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}

