package com.ym.mec.biz.event.listener;

import com.ym.mec.biz.dal.dao.TenantInfoDao;
import com.ym.mec.biz.dal.entity.TenantInfo;
import com.ym.mec.biz.event.TenantConfigChangeEvent;
import com.ym.mec.biz.service.SysTenantConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Component
public class TenantConfigListener implements ApplicationListener<TenantConfigChangeEvent> {

    @Autowired
    private SysTenantConfigService sysTenantConfigService;
    @Autowired
    private TenantInfoDao tenantInfoDao;

    @Override
    public void onApplicationEvent(TenantConfigChangeEvent event) {
        if(event.getTenantId() != null){
            TenantInfo tenantInfo = tenantInfoDao.selectByPrimaryKey(event.getTenantId());
            if(tenantInfo != null){
                ConcurrentHashMap<Integer, ConcurrentHashMap<String, String>> allTenantConfig = sysTenantConfigService.getAllTenantConfig();
                allTenantConfig.put(tenantInfo.getId(),sysTenantConfigService.queryAllMap(tenantInfo.getId()));
                sysTenantConfigService.setTenantConfig(allTenantConfig);
            }
        }else {
            Map<String,Object> paramMap = new HashMap<>(1);
            paramMap.put("state",1);
            List<TenantInfo> tenantInfos = tenantInfoDao.queryList(paramMap);
            if(tenantInfos != null && tenantInfos.size() > 0){
                ConcurrentHashMap<Integer,ConcurrentHashMap<String,String>> tenantConfig = new ConcurrentHashMap<>(tenantInfos.size());
                for (TenantInfo tenantInfo : tenantInfos) {
                    tenantConfig.put(tenantInfo.getId(),sysTenantConfigService.queryAllMap(tenantInfo.getId()));
                }
                sysTenantConfigService.setTenantConfig(tenantConfig);
            }
        }
    }
}
